<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/link_quality.cpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dc/d0b/link__quality_8cpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">link_quality.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file implements link quality information processing and storage.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;openthread-config.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/d7b/code__utils_8hpp_source.html">common/code_utils.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/d49/link__quality_8hpp_source.html">thread/link_quality.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for link_quality.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/df0/link__quality_8cpp__incl.png" border="0" usemap="#src_2core_2thread_2link__quality_8cpp" alt=""/></div>
<map name="src_2core_2thread_2link__quality_8cpp" id="src_2core_2thread_2link__quality_8cpp">
<area shape="rect" id="node2" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="5,92,145,117"/>
<area shape="rect" id="node5" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="343,165,479,191"/>
<area shape="rect" id="node9" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="504,165,666,191"/>
<area shape="rect" id="node10" href="../../d2/d49/link__quality_8hpp.html" title="This file includes definitions for storing and processing link quality information. " alt="" coords="393,92,547,117"/>
<area shape="rect" id="node6" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="264,239,329,264"/>
<area shape="rect" id="node7" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="526,239,601,264"/>
<area shape="rect" id="node8" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="353,239,491,264"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a84357ba4c0f67457ae11da9f61a39f81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84357ba4c0f67457ae11da9f61a39f81"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <b>kDefaultNoiseFloor</b> = -100
 }</td></tr>
<tr class="separator:a84357ba4c0f67457ae11da9f61a39f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga327fac3c27070325354e650d4695e230"><td class="memItemLeft" align="right" valign="top">int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga327fac3c27070325354e650d4695e230">Thread::GetAverageNoiseFloor</a> (LinkQualityInfo &amp;aNoiseFloor)</td></tr>
<tr class="memdesc:ga327fac3c27070325354e650d4695e230"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the current average noise floor level (in dBm).  <a href="../../d3/d4b/group__core-link-quality.html#ga327fac3c27070325354e650d4695e230">More...</a><br /></td></tr>
<tr class="separator:ga327fac3c27070325354e650d4695e230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga6c4f9e7e92b216865dc7c2783bfe9ea5">Thread::AddNoiseFloor</a> (LinkQualityInfo &amp;aNoiseFloor, int8_t aNoise)</td></tr>
<tr class="memdesc:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a new noise floor value (in dBm) to the running average.  <a href="../../d3/d4b/group__core-link-quality.html#ga6c4f9e7e92b216865dc7c2783bfe9ea5">More...</a><br /></td></tr>
<tr class="separator:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga3f3a4611a2d5eca6dc77cc8ff49ea64b">Thread::ClearNoiseFloorAverage</a> (LinkQualityInfo &amp;aNoiseFloor)</td></tr>
<tr class="memdesc:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the current average noise floor value.  <a href="../../d3/d4b/group__core-link-quality.html#ga3f3a4611a2d5eca6dc77cc8ff49ea64b">More...</a><br /></td></tr>
<tr class="separator:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:afa6fc4d38086902fbe01829a3cbf5843"><td class="memItemLeft" align="right" valign="top">static const char *const&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::kLinkQualityDecimalDigitsString</b> [8]</td></tr>
<tr class="separator:afa6fc4d38086902fbe01829a3cbf5843"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file implements link quality information processing and storage. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="file_afa6fc4d38086902fbe01829a3cbf5843"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char* const Thread::kLinkQualityDecimalDigitsString[8]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    </div><div class="line">    <span class="stringliteral">&quot;000&quot;</span>, <span class="stringliteral">&quot;125&quot;</span>, <span class="stringliteral">&quot;250&quot;</span>, <span class="stringliteral">&quot;375&quot;</span>, <span class="stringliteral">&quot;500&quot;</span>, <span class="stringliteral">&quot;625&quot;</span>, <span class="stringliteral">&quot;750&quot;</span>, <span class="stringliteral">&quot;875&quot;</span></div><div class="line">}</div></div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../dc/d0b/link__quality_8cpp.html">link_quality.cpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
